#ifndef MainH
#define MainH

#define Str_Dlg_Main "MAINDIALOG"
#define str_test_dlg "FILEEXIST DIALOG"

extern const char* Err_Archive;


HINSTANCE MInstance; // because hInstance is needed in procs/dialogs
extern HANDLE VH_InFile;
extern char PathBuf[MAXPATH]; // buffer for path operations

extern char* VStr_ExeName;
extern unsigned VH_ShellImageList;

extern void ErrorHalt(const char* Msg, const char* Arg);
extern void Make_CRC32Table(void);
extern void GetDefParams(void);
extern bool CALLBACK MainDialogProc(HWND DlgWin, UINT DlgMessage, WPARAM DlgWParam, LPARAM DLGLParam);
extern char* LoadStrRes(const int Res);
extern void FormatStr(const char* Format,const char* args, char* Dest);

#endif
